<div>
	<div>
		<select class="form-control" (change)="OngetCarsList()" [(ngModel)]="idLead" >
			<option value="" disabled="true">-- Seleccionar Lead --</option>
			<option *ngFor="let lead of Leads " value="{{ lead.Id }}" >
				{{ lead.Name + ' - '+ lead.Title}}
			</option>
		</select>
	</div>
	<div class="card" style="margin-top: 10px;" *ngIf="idLead">
		<div class="card-body">
			<div class="row">
				<div class="col-sm-2">
					<b>Name:</b><br/>
					<label>{{ Lead.Name }}</label>
				</div>
				<div class="col-sm-3">
					<b>Company:</b> <br/>
					<label>{{ Lead.Company }}</label>
				</div>
				<div class="col-sm-3">
					<b>Title:</b> <br/>
					<label>{{ Lead.Title }}</label>
				</div>
				<div class="col-sm-2">
					<b>Email:</b> <br/>
					<label>{{ Lead.Email }}</label>
				</div>
				<div class="col-sm-2">
					<b>Phone:</b> <br/>
					<label>{{ Lead.Phone }}</label>
				</div>
			</div>
		</div>
	</div>
	<div class="card" style="margin-top: 20px;" *ngIf="idLead">
		<div class="card-header">
			Formulario de Creación 
		</div>
		<form [formGroup]="CarForm" (ngSubmit)="onSaveForm()">
			<div class="card-body">
				<div class="row">
					<div class="col-sm-1">
						<b>Name: <strong style="color:red">*</strong></b> 
					</div>
					<div class="col-sm-3">
						<input type="text" class="form-control" formControlName="Name" placeholder="Nombre del Auto">
					</div>
					<div class="col-sm-1">
						<b>Model:</b> 
					</div>
					<div class="col-sm-3">
						<input type="text" class="form-control" formControlName="Model_Year__c" placeholder="Modelo del Auto">
					</div>
					<div class="col-sm-2">
						<b>Registration Plate: <strong style="color:red">*</strong></b> 
					</div>
					<div class="col-sm-2">
						<input type="text" class="form-control" formControlName="Registration_Plate__c" placeholder="Número Placa">
					</div>
				</div>
				<div class="row" style="margin-top: 15px;">
					<div class="col-sm-1">
						<b>Price: <strong style="color:red">*</strong></b> 
					</div>
					<div class="col-sm-3">
						<input type="number" class="form-control" formControlName="Price__c" placeholder="Precio del Auto">
					</div>
					<div class="col-sm-1">
						<b>Tax:</b> 
					</div>
					<div class="col-sm-3">
						<input type="number" class="form-control" formControlName="Tax__c" placeholder="impuesto del Auto">
					</div>
					<div class="col-sm-2">
						<b>Leasing:</b> 
					</div>
					<div class="col-sm-2">
						<input type="number" class="form-control" formControlName="Leasing__c" placeholder="Arrendamiento">
					</div>
				</div>
				<button class="btn btn-primary" style="margin-top: 10px; float: right; margin-bottom: 20px;">Guardar</button>
			</div>
		</form>
	</div>
</div>